dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
--LManager:AddGame(eGAME_COMBO);

--square block formation

LManager:AddTable(eTYPE_TABLE2, 380, 220);
LManager:AddTable(eTYPE_TABLE4, 200, 355);
LManager:AddTable(eTYPE_TABLE5, 380, 355);
LManager:AddTable(eTYPE_TABLE6, 560, 355);


seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 4;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 35000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 48000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 166000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 183000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 215000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 22000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 77000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 84000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 104000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 115000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 132000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 159000;
guest.needs[8] = eWANT_TALK;
guest.times[8] = 173000;
guest.needs[9] = eWANT_GIFT;
guest.times[9] = 199000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 9000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 28000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 55000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 69000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 100000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 111000;
guest.needs[7] = eWANT_DRINK;
guest.times[7] = 138000;
guest.needs[8] = eWANT_GIFT;
guest.times[8] = 207000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 14000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 66000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 93000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 119000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 145000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 177000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 191000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(2,7);
LManager:SetLevelScores(3800, 4875);
LManager:SetLevelTime(45000);


gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();
